:root {
    --bg-dark: #003987;
    --rosso: white;
    --rosso-hover: #bfb6b0;
    --marrone: #2b201b
}

.mm-menu_theme-black{
    --mm-color-border: transparent;
    --mm-listitem-size: 40px;
}

.mm-listview{
    font-size: 32px;
    text-transform: uppercase;
    font-weight: bold;
}

#my-menu:not( .mm-menu ) {
    display: none;
}

a.mburger:hover{
    color: white;
    text-decoration: none;
}

.mm-menu {
    --mm-color-background: var(--bg-dark);
    --mm-listitem-size: 50px;
    text-align: center;
}
.mm-navbars_top {
    --mm-color-background: var(--bg-dark);
    border-bottom: none !important;
}

#mm-0 > div > .mm-navbar__title{
    display:none;
}

.mm-listitem a{
    padding-left: 10px !important;
    padding-right: 10px !important;
    padding-top: calc(10px + (30 - 10) * ((100vw - 360px) / (1920 - 360))) !important;
    padding-bottom: calc(10px + (30 - 10) * ((100vw - 360px) / (1920 - 360))) !important;
    font-size: calc(20px + (32 - 20) * ((100vw - 360px) / (1920 - 360))) !important;
}

.mm-panels>.mm-panel {
    top: 30px;
}

/* manrope-regular - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/manrope-v14-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* manrope-700 - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Manrope';
    font-style: normal;
    font-weight: 700;
    src: url('../fonts/manrope-v14-latin-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}


h1{
    font-size: calc(26px + (38 - 26) * ((100vw - 360px) / (1700 - 360)));
    text-transform: uppercase;
    color: #222;
}
h2{
    font-size: calc(22px + (32 - 22) * ((100vw - 360px) / (1700 - 360)));
    text-transform: uppercase;
    color: #222;
}
h3{
    font-size: calc(18px + (26 - 18) * ((100vw - 360px) / (1700 - 360)));
    text-transform: uppercase;
    color: #222;
}
h4{
    font-size: calc(16px + (20 - 16) * ((100vw - 360px) / (1700 - 360)));
    text-transform: uppercase;
    color: #222;
}

.navbar{
    box-shadow: none !important;
    padding: 0 !important;
}

html, body {
    height: 100%;
    font-family: 'Manrope', sans-serif;
    color: #222;
    font-size: 1.05rem;
    width: 100vw;
    background-color: var(--rosso);
}

#my-page.isHome{
}

.navbar{
    align-items: center;
}

#my-header{
    text-align: center;
    z-index: 999;
}

header{
    transition: all 0.2s ease !important;
}

header:not(.trasparente){
    background-color: var(--bg-dark);
}

header:not(.trasparente) a, header:not(.trasparente) div{
    color: white !important;
}

header.trasparente .logo{
    opacity:0;
}

a.logo{
    display:inline-block;
    margin: auto;
    width:100%;
}

a.logo img{
    height: auto;
    padding: 20px 0;
    width: 100%;
    max-width: 150px;
    margin-left: auto;
    margin-right: auto;
}

@media(max-width: 768px){
    a.logo img{
        padding: 10px 0;
        max-width: 60px;
    }
}


.logo-big{
    position: absolute;
    top: 50%;
    margin-left: 50%;
    text-align: center;
    transform: translate(-50%, -50%);
    width: 80%;
    height: auto;
    max-width: 716px;
}

.logo-big-video{
    position: absolute;
    top: 30px;
    margin-left: 50%;
    text-align: center;
    transform: translateX(-55%);
    width: 60%;
    height: auto;
    max-width: 260px;
    z-index: 999;
}

@media(max-width: 768px){
    .logo-big-video{
        top: 10px;
        max-width: 50px;
    }
}

#fullwidth-video {
    height: 100vh;
    width:100vw;
    position: relative;
    /*height: calc(var(--vh, 1vh) * 100);*/
}

.fullwidth-sfondo {
    height: 100vh;
    width:100vw;
    position: relative;
    background-position: center;
    background-size: cover;
}

#fullwidth-video .fullwidth-video-bg {
    position: absolute;
    z-index: 1;
    top: -5px;
    left: 0;
    bottom: 0;
    right: 0;
    overflow: hidden;
    background-size: cover;
    background-color: transparent;
    background-repeat: no-repeat;
    background-position: center;
}

#control-container{
    position: absolute;
    bottom: 10px;
    color:white !important;
    z-index: 998;
    left:0;
    right: 0;
    text-align: center;
}

#toggleaudio{
    padding: 0 10px;
}

#toggleaudio i, #fullscreen i{
    font-size: 30px;
}

#fullscreen{
    padding: 0 10px;
}

#rotatescreen{
    display:none;
}

.breadcrumb a{
    color: #666;
}

.breadcrumb li.active{
    color:#222;
}

@media (max-width: 700px) {
    .breadcrumb-item+.breadcrumb-item:before{
        padding-left: 0.2rem;
        padding-right: 0.2rem;
    }
    .breadcrumb-item{
        font-size: 12px !important;
        max-width: 120px;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }
}
@media (max-width: 991px) and (orientation: portrait){
    #rotatescreen{
        padding: 0 10px;
    }

    #rotatescreen img{
        width: 40px;
    }
}

main:not(.isHome){
    padding-top: calc(40px + (140 - 100) * ((100vw - 360px) / (1700 - 360)));
}

.sldtext {
    z-index: 2;
}

#fullwidth-video video {
    margin: auto;
    position: absolute;
    z-index: 1;
    top: 50%;
    left: 0;
    transform: translate(0%, -50%);
    visibility: visible;
    opacity: 1;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/** For Edge**/
@supports (-ms-ime-align:auto){ #fullwidth-video video
{ object-fit:none; margin:0;position:inherit;z-index:1;
    top:50%;left:0%;transform:translate(0%, -50%);height:auto;width:100%; } }


.login-content{
    margin-top: 80px;
    overflow-y: auto;
    height: 100%;
    width: 100%;
    overflow-x: hidden;
    padding-bottom: 80px !important;
}
.login-container{
    position: fixed;
    top: 0;
    bottom:0;
    right: 0;
    width: 100%;
    background-color: rgba(0,0,0,0.8);
    z-index: 1040;
    display: none;
    -webkit-overflow-scrolling: touch;
}

.login-panel{
    max-width: 850px;
}

.login-panel{
    float:right;
    height: 100%;
    width: 100%;
    background-color: var(--bg-dark);
    color:white !important;
    border-left: 1px solid #ccc;
    overflow-y: auto;
    transform: translateX(100%);
    transition: all 0.6s ease-out;
}

.login-container.visibile{
    display: block;
}

.login-container .login-panel.visibile{
    transform: translateX(0%);
    transition: all 0.6s ease-in;
    overflow: hidden;
}

.login-header{
    padding: 2%;
    border-bottom: 1px solid #ccc;
    position: fixed;
    width:100%;
}

.login-header .login-close-button{
    float:left;
    padding-right: 2%;
    border-right: 1px solid #ccc;
}

.login-header .login-title{
    float:right;
}

#info_privacy_breve{
    height: 130px;
    border: 1px solid #ccc;
    padding: 15px;
    box-sizing: border-box;
    overflow-y: scroll;
    margin-bottom: 20px;
}

.login-container a{
    color:white;
}

.no-scroll{
    overflow:hidden;
}

.marginato{
    width: 100%;
}

@media(min-width: 992px){
    .marginato{
        width: 96vw;
        margin: 0 auto;
    }
}

a:hover{text-decoration:none;}
*,*:after,*::before{
    -webkit-box-sizing:border-box;
    -moz-box-sizing:border-box;
    box-sizing:border-box;
}
.cl-effect-12 a:not(.mm-navbar__title){
    position: relative;
    color: #444;
    transition: color 0.3s
}
.cl-effect-white a{
    color:#fff !important;
    text-transform: uppercase;
}
.cl-effect-12 a:not(.mm-navbar__title):hover{
    color:#222;
}
.cl-effect-white a:hover{
    color:white
}
/*
.cl-effect-12 a::before,.cl-effect-12 a::after{
    position:absolute;
    top:50%;
    left:50%;
    width:40px;
    height:40px;
    border:2px solid rgba(0,0,0,0.1);
    border-radius:50%;
    content:'';
    opacity:0;
    -webkit-transition:-webkit-transform 0.3s, opacity 0.3s;
    -moz-transition:-moz-transform 0.3s, opacity 0.3s;
    transition:transform 0.3s, opacity 0.3s;
    -webkit-transform:translateX(-50%) translateY(-50%) scale(0.2);
    -moz-transform:translateX(-50%) translateY(-50%) scale(0.2);
    transform:translateX(-50%) translateY(-50%) scale(0.2);
}
.cl-effect-12 a::after{
    width:24px;
    height:24px;
    border-width:8px !important;
    -webkit-transform:translateX(-50%) translateY(-50%) scale(0.8);
    -moz-transform:translateX(-50%) translateY(-50%) scale(0.8);
    transform:translateX(-50%) translateY(-50%) scale(0.8);
}
.cl-effect-12 a:hover::before,.cl-effect-12 a:hover::after,.cl-effect-12 a:focus::before,.cl-effect-12 a:focus::after{
    opacity:1;
    -webkit-transform:translateX(-50%) translateY(-50%) scale(1);
    -moz-transform:translateX(-50%) translateY(-50%) scale(1);
    transform:translateX(-50%) translateY(-50%) scale(1);
}
.cl-effect-white a::before,.cl-effect-white a::after{
    border:4px solid rgba(255,255,255,0.2);
    border-radius:50%;
    content:'';
    opacity:0;
    -webkit-transition:-webkit-transform 0.3s, opacity 0.3s;
    -moz-transition:-moz-transform 0.3s, opacity 0.3s;
    transition:transform 0.3s, opacity 0.3s;
    -webkit-transform:translateX(-50%) translateY(-50%) scale(0.2);
    -moz-transform:translateX(-50%) translateY(-50%) scale(0.2);
    transform:translateX(-50%) translateY(-50%) scale(0.2);
}
header:not(.trasparente) .cl-effect-white a::before,header:not(.trasparente) .cl-effect-white a::after{
    border:4px solid rgba(44,44,44,0.1);
}
.cl-effect-12 a.mm-navbar__title::before, .cl-effect-12 a.mm-navbar__title::after{
    display:none;
}*/

.cl-effect-12 > a, .cl-effect-12 > div{
    color: white;
    padding: 6px 12px;
}

header .cl-effect-12 a{
    display: inline-block;
    color:white;
}

.cl-effect-12 a:after{
    content: "";
    display:block;
    position: absolute;
    z-index: -1;
    width: 40px;
    height: 40px;
    background-image: url('../img/effect.png');
    background-size: contain;
    background-position: center;
    top: 0;
    bottom: 0;
    left:calc(50% - 20px);
    transition: all 0.2s ease-in-out;
    transform: scale(0);
    opacity: 0.4;
}

.cl-effect-12 a:hover:after{
    transform: scale(1);
    opacity: 1;
}

a{
    cursor: pointer;
}
.con-figli > div{
    position: absolute;
    display: none;
    background-color: rgba(0,0,0,0.8);
    border: 1px solid white;
    padding: 1vw;
    visibility: hidden;
    opacity: 0;
    transition-property: opacity, visibility;
    transition-duration: .4s, 0s;
    transition-delay: 0s, .4s;
    z-index: 999;
    left: calc(-50% - 10px);
}

header:not(.trasparente) .con-figli > div{
    background-color: var(--bg-dark);
    border: 1px solid white;
}

.con-figli:hover > div{
    display: block;
    visibility: visible;
    opacity: 1;
    transition-delay: 0s, 0s;
}

.con-figli > div a{
    display: inline-block;
    white-space: nowrap;
    padding: 12px;
    color: #222;
}


.animation-appear.schedina-immagine-hover, .animation-appear.schedina-immagine, .animation-appear.cliente-img, .animation-appear.immagine{
    animation: animateAppear linear 0.6s;
    animation-iteration-count: 1;
    animation-fill-mode: backwards;
}

@keyframes animateAppear {
    0% {
        opacity: 0;
        transform: scale(0.9);
    }
    100% {
        opacity: 1;
        transform: scale(1);
    }
}

.lightGallery-5{
    display: grid;
    grid-gap: 1rem;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr) ) ;
}

@media (max-width: 992px){
    .lightGallery-5{
        grid-template-columns: repeat(auto-fit, minmax(150px, 1fr) ) ;
    }
}

.lightGallery-5 .immagine{
    display:inline-block;
    padding-bottom: 75%;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    transform: scale(1);
    transition: all 0.2s;
}
.lightGallery-5 .immagine:hover{
    filter: grayscale(0%);
    transform: scale(1.05);
}



.ristretto{
    width:94%;
    max-width: 1500px;
    margin-left: auto;
    margin-right: auto;
}

.strettissimo{
    width:94%;
    max-width: 1100px;
    margin-left: auto;
    margin-right: auto;
}

.categorie-container{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(130px, 400px));
    grid-gap: 2vw;
    justify-content: center;
}

.categorie-container a{
    width: 100%;
    padding-bottom: 100%;
    position: relative;
    border-radius: 100%;
    overflow: hidden;
}

.categorie-container a > div{
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    transform: scale(1.3) rotate(0deg);
    transition: all 0.3s;
}

.categorie-container a:hover > div{
    transform: scale(1) rotate(5deg);
}

.categorie-container a > span{
    position: absolute;
    top: 20%;
    left: 20%;
    width: 60%;
    height: 60%;
    border-radius: 100%;
    background-color: rgba(0,0,0,0.6);
    justify-content: center;
    align-items: center;
    display: flex;
    color: white;
    text-transform: uppercase;
    font-weight: bold;
    transition: all 0.3s;
    font-size: calc(14px + (24 - 14) * ((100vw - 360px) / (1700 - 360)));
}

@media(max-width: 992px){
    .categorie-container a > span{
        position: absolute;
        top: 15%;
        left: 15%;
        width: 70%;
        height: 70%;
        background-color: rgba(0,0,0,0.8);
    }

    .w-80-small{
        width: 80%;
    }
}



.categorie-container a:hover >  span{
    background-color: #000;
}

.immagine-personalizza{
    width: 100%;
    padding-bottom: 100%;
    background-size: cover;
    background-position: center;
    border-radius: 100%;
}

.personalizza-mobile-container{
    width:100%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-image: url('../img/sfondo-personalizza-new.jpg');
    min-height: 40vw;
    margin-top: 2rem;
}

.personalizza-mobile-container > div{
    background-color: rgba(0,0,0,0.8);
    color: white;
    padding: 2.5rem;
}

.personalizza-mobile-container h1{
    color:white;
}


.btn-mio {
    background-color: #003987;
    color: white;
    display: block;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
    border: 1px solid #003987;
    overflow: hidden;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -moz-osx-font-smoothing: grayscale;
    position: relative;
    -webkit-transition: color 300ms;
    transition: color 300ms;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
}

.btn-mio-bianco{
    background-color: white;
    color: #003987;
    border: 1px solid #003987;
}
.btn-mio:before {
    content: "";
    position: absolute;
    z-index: -1;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: white;
    border-radius: 100%;
    -webkit-transform: scale(0);
    transform: scale(0);
    -webkit-transition-property: transform;
    transition-property: transform;
    -webkit-transition: 300ms ease-out;
    transition: 300ms ease-out;
}
.btn-mio-bianco:before{
    background-color: #003987;
}
.btn-mio:hover:before {
    -webkit-transform: scale(2);
    transform: scale(2);
}
.btn-mio:hover{
    color: #003987;
}
.btn-mio-bianco:hover{
    color: white;
    border: 1px solid white;
}

a.schedina{
    color:#222;
    font-size: 24px;
    text-transform: uppercase;
    max-width: 94vw;
    margin-left: auto;
    margin-right: auto;
}

.bg-grigino{
    background-color: #f9f9f9;
}

.schedina-immagine{
    width: 100%;
    padding-bottom: 100%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

.schedina-immagine-hover{
    -webkit-transition: opacity 0.3s ease-in-out;
    -moz-transition: opacity 0.3s ease-in-out;
    -o-transition: opacity 0.3s ease-in-out;
    transition: opacity 0.3s ease-in-out;
    opacity: 0;
    position: absolute;
    left:0;
    top:0;
    width: 100%;
    padding-bottom: 100%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

.schedina:hover .schedina-immagine-hover{
    opacity: 1 !important;
}

.overlayed{
    box-shadow: inset 0 0 0 1000px rgba(0,0,0,.5);
}

.pagina-home{
    padding-top: 10vw;
    padding-bottom: 10vw;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    color:white;
}

.pagina-home h1{
    color:white;
}

.cliente-img, .carousel-image{
    width: 100%;
    padding-bottom: 150%;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

footer{
    background-color: #003987;
    color:white;
}

footer a:hover{
    color: #666;
    transition: all 0.2s;
}

footer a{
    color: white;
}

footer .logo_footer img{
    width: 50%;
    max-width: 160px;
    height: auto;
}

footer h4{
    color:white;
    padding:0;
    margin: 10px 0 0 0;
    font-weight: bold;
}

.social_container a{
    font-size: 36px;
}

.footerissimo{
    padding: 1rem;
    border-top: 1px solid white;
    font-size: 14px;
}

.con-riga{
    border-top: 1px solid #222;
}

.banner-categoria-immagine{
    padding: 2vw 6vw 3vw 6vw;
    min-height: 500px;
    display: flex;
    align-items: flex-end;
    background-position: center;
    background-size: cover;
}

.banner-pagina-immagine{
    padding: 2vw 6vw 3vw 6vw;
    min-height: 580px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-position: center;
    background-size: cover;
}

@media (orientation: portrait) {
    .banner-categoria-immagine{
        padding-top: 75vw;
        min-height: unset;
    }
    .banner-pagina-immagine{
        padding-top: 75vw;
        min-height: unset;
        position: relative;
    }
    .banner-pagina-testo{
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        text-align: center;
    }
}

.banner-categoria-testo{
    max-width: 900px;
    color: white;
    text-shadow: 1px 1px 3px #000;
    font-style: italic;
    font-size: calc(14px + (20 - 14) * ((100vw - 360px) / (1700 - 360)));
    line-height: calc(18px + (26 - 18) * ((100vw - 360px) / (1700 - 360)));
    font-weight: bold;
}

.banner-categoria-testo h2{
    color:white;
    text-transform: uppercase;
    font-size: calc(26px + (56 - 26) * ((100vw - 360px) / (1700 - 360)));
    line-height: calc(28px + (58 - 26) * ((100vw - 360px) / (1700 - 360)));
    font-style: normal;
    font-weight: bold;
}

.banner-pagina-testo h1{
    text-shadow: 1px 1px 3px #000;
    color:white;
    text-transform: uppercase;
    font-size: calc(46px + (100 - 46) * ((100vw - 360px) / (1700 - 360)));
    line-height: calc(48px + (104 - 48) * ((100vw - 360px) / (1700 - 360)));
    font-style: normal;
    font-weight: normal;
}

.pagina-testo-container h1, .pagina-testo-container h2, .pagina-testo-container h3, .pagina-testo-container h4{
    text-align: center;
}

.pagina-testo-container a{
    color: #666;
}

.pagina-testo-container ul{
    list-style-type: none;
    list-style-position: inside;
    -webkit-padding-start: 0;
}

.pagina-testo-container ul li{
    background: url('../img/logo-tondo-nero-small.png') no-repeat left 3px;
    margin-top: 0.8rem;
    padding-left: 26px;
    padding-top: 0px;
}

@media screen and (max-width: 800px) {
    .pagina-testo-container img{
        width: 100% !important;
        margin-left: 0 !important;
        margin-right: 0!important;
    }
}

.prodotto-thumb{
    padding-bottom: 75%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    margin-bottom: 15px;
    margin-top: 15px;
    filter: grayscale(50%);
    transition: all 0.2s;
    cursor: pointer;
}

.prodotto-thumb.active{
    filter: grayscale(0%);
    cursor: default;
}

.prodotto-thumb:hover{
    filter: grayscale(0%);
}

.claim-prodotto{
    border: 2px solid #003987;
}

.color-666{
    color: #666;
}

.prodotto-descrizione {
    max-height: 200px;
    position: relative;
    overflow: hidden;
    transition: all 0.3s ease-in-out;
}
.prodotto-descrizione.aperto{
    max-height: 2000px;
}
.prodotto-fade.nascosto{
    opacity: 0;
}

.prodotto-descrizione div {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    text-align: center;
    margin: 0; padding: 50px 0;
    background-image: linear-gradient(to bottom, transparent, white);
}

.taglie-container{
    display: grid;
    grid-gap: 4%;
    row-gap: 10%;
    grid-template-columns: repeat(6, 1fr);
    margin-bottom: 6%;
}

.taglie-container > div{
    width:100%;
    padding-bottom: 100%;
    background-color: #f9f9f9;
    border: 1px solid #ccc;
    border-radius: 100%;
    transition: all 0.2s;
    cursor: pointer;
    position: relative;
}

.sezioni-container .taglie-container > div{
    background-color: white;
}

.taglia{
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    text-align: center;
    left:0;
     right: 0;
    font-size: calc(16px + (28 - 16) * ((100vw - 360px) / (1920 - 360))) !important;
}

.taglie-container > div.attivo, .taglie-container > div:hover{
    background-color: #003987;
    border: 1px solid #003987;
    color:white;
}

.btn-aggiungi-carrello{
    font-size: 20px;
}

#myCarousel a{
    color: #222;
}


input:focus, select:focus, button:focus, a:focus, .btn:focus{
    outline: none;
    box-shadow: none;
}


.btn-mio-taglia{
    font-size: 14px;
    text-transform: none;
    padding: 5px 10px;
    position: absolute;
    top: 0;
    right: 0;
}

.modal-content{
    border-radius: 0;
}

.btn-primary, .btn-primary:focus{
    background-color: #003987;
    box-shadow: none;
    border-radius: 0;
}
#badge_prodotti{
    position:absolute;
    display: inline-block;
    width: 24px;
    height: 24px;
    font-weight: bold;
    font-size: 14px;
    line-height: 24px;
    color:white;
    background-color: var(--rosso);
    border-radius: 100%;
    top: -6px;
    right: -10px;
    text-align: center;
}

.immagine-tonda{
    width: 48%;
    margin-right: 2%;
    margin-bottom: 2%;
    padding-bottom: 48%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 100%;
    float: left;
}

@media (max-width: 992px) {
    .immagine-tonda{
        width: 100%;
        margin-bottom: 20px;
        margin-right: 0;
        padding-bottom: 100%;
    }
}


.carrello-prodotto{
    border: 1px solid #ccc;
}

.carrello-prodotto-testo{
    text-align: center;
    font-size: calc(20px + (30 - 20) * ((100vw - 360px) / (1700 - 360)));
    text-transform: uppercase;
    color: #222;
}

.carrello-riepilogo{
    color:white;
    background-color: #003987;
    position: -webkit-sticky;
    position: sticky;
    top: 160px;
}

.apply-icon, .apply-icon-gift, .apply-icon-gift-dati {
    position: relative;
    z-index: 1;
    left: -32px;
    color: #333;
    cursor:pointer;
    width: 0;
}
.delete-icon {
    position: relative;
    z-index: 1;
    left: -32px;
    color: #333;
    cursor:pointer;
    width: 0;
}

.generic_form input, .generic_form select{
    border: none;
    padding: 4px 16px;
    background-color: white;
    color: #222;
}

.spinner, .spinner-white{
    position: relative;
}

.spinner:before, .spinner-white:before{
    display:block;
    content: " ";
    position: absolute;
    top:0;
    bottom:0;
    left:-15px;
    right: -15px;
    background-color: rgba(34,34,34,0.95);
    z-index:998;
}

.spinner:after, .spinner-white:after{
    display:block;
    content : "";
    background-image: url("../img/pulsa-bianco.png");
    background-size: contain;
    z-index:999;
    position: absolute;
    left: 50%;
    top: 50%;
    height:80px;
    width:80px;
    margin:-40px  auto auto -40px;
    animation: pulse-white 2s infinite;

}

.spinner-white:before{
    background-color: rgba(255,255,255,0.90);
}

.spinner-white:after{
    background-image: url("../img/pulsa-nero.png");
    animation: pulse-black 2s infinite;
}

@keyframes pulse-white {
    0% {
        transform: scale(0.85);
    }

    70% {
        transform: scale(1);
    }

    100% {
        transform: scale(0.85);
    }
}

@keyframes pulse-black {
    0% {
        transform: scale(0.85);
    }

    70% {
        transform: scale(1);
    }

    100% {
        transform: scale(0.85);
    }
}


@media (max-width: 992px){
    .spinner:after, .spinner-white:after{
        position: fixed;
    }
}

.flashwhite{
    display: none;
    background-color: white;
    position: absolute;
    top:0;
    bottom:0;
    left:0;
    right: 0;
    animation: blink 1s ease-in-out;
    z-index: 99999;
}

@keyframes blink {
    0% {
        opacity: 0;
    }

    50% {
        opacity: 1;
    }

    100%{

        opacity: 0;
    }
}

a.cancellaProdotto{
    position: absolute;
    top:10px;
    right: 30px;
    color: #999;
    font-size: 40px;
}

.sezioni-container{
    background-color: #f9f9f9;
    border: 1px solid #ccc;
}

.sezione{
    border: 1px solid #ccc;
    background-color: white;
}

.sezione-titolo{
    font-size: 20px;
    text-transform: capitalize;
    cursor: pointer;
}

.sezione-titolo span.sezione-colore{
    display: inline-block;
    height: 40px;
    width: 40px;
    border-radius: 100%;
    border:  1px solid #999;
    margin-right: 6px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    vertical-align: middle;
}

.sezione-materiali{
    display:none;
    margin-left: -20px;
}

@media (max-width: 992px){
    .bordato-mobile{
        padding: 0.5rem 0;
        background-color: #f2f2f2;
    }
}

.nonandareacapotiprego{
    padding-left: 20px;
}

.colori-container{
    /*display: grid;
    grid-template-columns: repeat(auto-fill, 50px);
    grid-gap: 20px;*/
    display:inline-block;
    width:auto;
}

.colore-miniatura{
    cursor: pointer;
    width:50px;
    border-radius: 100%;
    height: 50px;
    display: inline-block;
    margin-right: 5px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    border: 1px solid white;
    transition: all 0.2s;
    position: relative;
}

.colore-miniatura:hover, .colore-miniatura.attivo{
    box-shadow: 0 0 0 2px #222;
}

.base-1, .base-2{
    width: 100%;
}

@media (min-width: 992px) {
    .stickyed{
        position: -webkit-sticky;
        position: sticky;
        top: 160px;
    }
}

@media(max-width: 992px){

    .stickyed-mobile{
        position: -webkit-sticky;
        position: sticky !important;
        top: 96px;
        z-index: 999;
    }

    .stickyed{
        position: relative !important;
        z-index: 999;
    }

    .foto-personalizza-container{
        display: flex;
        flex-wrap: nowrap;
        overflow-x: scroll;
        background-color: white;
        padding-bottom: 1rem;
        transition: all 0.3s;
    }
    /* Hide scrollbar for Chrome, Safari and Opera */
    .foto-personalizza-container::-webkit-scrollbar {
        display: none;
    }

    /* Hide scrollbar for IE, Edge add Firefox */
    .foto-personalizza-container {
        -ms-overflow-style: none;
        scrollbar-width: none; /* Firefox */
    }

    .scrollbar{
        width: 40px;
        height: 40px;
        position: absolute;
        bottom: 5px;
        left: 50%;
        transform: translateX(-50%);
        background-image: url(../img/swipe.png);
        background-size: contain;
        background-repeat: no-repeat;
        opacity: 0.6;
    }

    .base-1, .base-2{
        -ms-flex: 0 0 100%;
        flex: 0 0 100%;
        max-width: 100%;
        height: 100%;
    }
}

.base-1 div, .base-2 div{
    position: absolute;
    top: 0;
    left:0;
    right:0;
    bottom:0;
    background-size: cover;
    background-repeat: repeat;
    background-position: center;
    z-index: 99;
}

#personalizza_prezzo{
    top: 15px;
    right: 15px;
    font-size: calc(20px + (30 - 20) * ((100vw - 360px) / (1700 - 360)));
}

.arrow{
    position: relative;
}

.arrow:after {
    transition: all 0.2s ease-in-out;
    content:"\f078 ";
    font-family: FontAwesome;
    color: #003987;
    position: absolute;
    right: 0;
    top: 6px;
    z-index: 1;
    pointer-events: none;
}


.arrow.attivo:after{
    transform: rotate(180deg);
}

.colore-miniatura:before{
    content: attr(data-title);
    position: absolute;
    background-color: rgba(0,0,0,0.8);
    border-radius: 4px;
    color: white;
    padding: 6px 12px;
    opacity:0;
    transition: all 0.2s;
    font-size: 12px;
    white-space: nowrap;
    transform: translate(-50%, -90%);
    left: 50%;
}

.colore-miniatura:hover:before{
    opacity: 1;
    transform: translate(-50%, -120%);
    left: 50%;
}

.pallino-sale{
    position: absolute;
    top: 10px;
    right: 10px;
    background-color: #003987;
    width:60px;
    height: 60px;
    border-radius: 100%;
    text-align: center;
    line-height: 60px;
    color:white;
    font-size: 16px;
    z-index: 99999;
}

.pallino-scheda{
    right:25px;
    top:5px;
}

.strike{
    display: inline-block;
    position:relative;
    color: #666;
    margin-right: 6px;
}

.strike:before{
    border-top: 2px solid #003987;
    content: "";
    left: 0;
    position: absolute;
    right: 0;
    top: 50%;
    transform: rotate(-5deg);
}

.carrello_intestazione{
    background-color: #003987;
    color:white;
    text-transform: uppercase;
    font-weight: bold;
    border-radius: 4px;
}

.min-h-400{
    min-height: 400px;
}

.carrello_prodotto a{
    color: #222;
}

.carrello_prodotto a:hover{
    color: #666;
}

.carrello_prodotto{
    border-top: 1px solid #ccc;
}


.bg-grigio{
    color:white;
    text-transform: uppercase;
    border-radius: 4px;
}

.bg-grigio-1{
    background-color: #aaa;
}

.bg-grigio-2{
    background-color: #888;
}

.bg-grigio-3{
    background-color: #555;
}

.button-home-container a{
    padding: 2.5rem;
    -webkit-text-stroke: 1px white;
    color: #222;
    text-shadow:
            3px 3px 0 #fff,
            -1px -1px 0 #fff,
            1px -1px 0 #fff,
            -1px 1px 0 #fff,
            1px 1px 0 #fff;
    position: relative;
}

.button-home-container a:before{
    content: " ";
    position: absolute;
    top: 0;
    left:0 ;
    right:0;
    bottom: 0;
    background-image: url('../img/effect.png');
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    z-index: -1;
    transition: all 0.2s;
}

.button-home-container .fa{
    font-size: 100px;
    color: #333;
}

.button-home-container a:hover:before{
    transform: scale(1.05);
}

.ispirazioni-container{
    border-top: 1px solid #ccc;
}

.carousel-indicators li{
    background-color: #666;
}

.carousel-indicators{
    bottom: -34px;
}

#carouselEventi{
    margin-bottom: 30px;
}


.toggle-iniziali-container{
    position: absolute;
    right:0;
    top: 0;
}


.btn-salva-immagine{
    background-color: #003987;
    height: 60px;
    width: 60px;
    font-size: 30px;
    line-height: 56px;
    text-align: center;
    border-radius: 50%;
    color:white;
    position: absolute;
    top: 10px;
    left:10px;
    z-index: 99999;
}

@media (max-width: 1199px) {
    .btn-salva-immagine{
        height: 40px;
        width: 40px;
        font-size: 20px;
        line-height: 36px;
        text-align: center;
        border-radius: 50%;
        color:white;
        position: absolute;
        top: auto;
        left: auto;
        bottom:7px;
        right:10px;
        z-index: 99999;
    }

}

#scritta_sx_container, #scritta_dx_container{
    position: absolute;
    transform: translate(-50%, 0%);
    right: auto !important;
    bottom: auto !important;
}

.bg-nero{
    background-color: #003987;
}

.color-white{
    color: white !important;
}

.bg-personalizza{
    background-image: url("../img/sfondo-personalizza-new.jpg");
    background-size: cover;
    background-position: center;
    color:white !important;
}

.bg-personalizza h1{
    color: white !important;
}

.whatsapp-link{
    position: fixed;
    bottom: 20px;
    right: 20px;
    width: 60px;
    height: 60px;
    background-color: #128c7e;
    z-index: 9999;
    border-radius: 50%;
    font-size: 40px;
    line-height: 60px;
    text-align: center;
}


.responsive-video, .rwd-video{
    height: 0;
    overflow: hidden;
    padding-bottom: 52.25%;
    padding-top: 30px;
    position: relative;
}

.responsive-video iframe, .rwd-video iframe{
    position: absolute;
    top:0;
    bottom: 0;
    width: 100%;
    height: 100%;
}

input.corto{
    max-width: 130px;
     text-align: right;
}
/* Chrome, Safari, Edge, Opera */
input.corto::-webkit-outer-spin-button,
input.corto::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input.corto[type=number] {
    -moz-appearance: textfield;
}
.dispo-dorata{
    display: inline-block;
    background-color: var(--bg-dark);
    color: white;
    font-size: 1.2rem;
    line-height: 80px;
    font-weight: bold;
    text-align: center;
    position:relative;
    margin: 0 8px;
    width: 80px;
    height: 80px;
    border-radius: 100%;
}

input.scuro{
    border: 1px solid #222;
}

.font-bigger{
    font-size: 20px;
}

span.pallino{
    background-image: url('../img/logo_vuoto.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    color: var(--bg-dark);
    font-size: 120%;
    display: inline-block;
    width: 80px;
    height: 80px;
    line-height: 80px;
    margin-bottom: 18px;
}

.adatto_container{
    width: 100%;
    min-height: 600px;
    padding: 2rem;
    background-image: url('../img/personalizza-2.jpg');
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
}

.adatto_container div{
    max-width: 1000px;
    margin: 0 auto;
    background-color: rgba(0,0,0, 0.8);
    color:white;
    text-align: center;
    padding: 3rem 2rem;
}

.ristretto-destra{
    max-width: 620px;
    text-align: left;
    margin: 0 0 0 auto;
}

.ristretto-sinistra{
    max-width: 620px;
    text-align: left;
    margin: 0 auto 0 0;
}

.bg-cover{
    background-size: cover;
    background-position: center;
}

.bg-contain{
    background-size: contain;
    background-position: center;
}

@media (max-width: 996px) {
    .bg-cover{
        padding-bottom: 100%;
    }
}

.bg-black{
    background-color: var(--bg-dark);
}

.responsive-map{
    height: 0;
    overflow: hidden;
    padding-bottom: 25%;
    position: relative;
}

@media (max-width: 992px){
    .responsive-map{
        padding-bottom: 65%;
    }
}

.responsive-map iframe{
    position: absolute;
    top:0;
    bottom: 0;
    left:0;
    width: 100%;
    height: 100%;
}

@media (max-width: 996px) {
}



.button-wrap {
    position: relative;
    text-align: center;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.input-hidden{
    width: 0;
}

.button-label {
    margin: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.3s;
    background-color: #f2f2f2;
    width: 100px;
    height: 100px;
    font-size: 18px;
    font-weight: bold;
    border-radius: 4px;
    cursor: pointer;
}

.button-label:last-of-type{
    font-size: 14px;
}

.button-label small{
    font-weight: bold;
}

.button-label h1 {
}

.button-label:hover, .radio-label:checked + .button-label {
    background: #003987;
    color: white !important;
    box-shadow: 0 2px 3px 0 #f2f2f2;
}

.input-hidden{
    visibility: hidden;
}

.opaco{
    opacity: 0.5;
    cursor: not-allowed;
}

.opaco .colore-miniatura{
    cursor: not-allowed;
}

.scegli_materiale{
    width: 100%;
    border: 1px solid #ccc;
    padding: 8px 8px;
    background-color: white;
}

div.scegli_materiale{
    width: 100% !important;
}

.scegli_materiale button{
    background-color: white !important;
    border-color: white !important;
}

.dropdown-item.active, .dropdown-item:active{
    background-color: var(--bg-dark);
}

.text-blue{
    color: var(--bg-dark) !important;
}

.bg-marrone{
    background-color: var(--marrone);
    color:white;
}


.vini-slider:not(.slick-initialized) .schedina:not(:first-of-type) {
    display: none;
}

.vini-slider:not(.slick-initialized) .schedina:first-of-type {
    visibility: hidden;
}